<?xml version="1.0" encoding="UTF-8"?>

<!--
 - Copyright 2013 Red Hat Inc. and/or its affiliates and other contributors.
 - 
 - Licensed under the Apache License, Version 2.0 (the "License");
 - you may not use this file except in compliance with the License.
 - You may obtain a copy of the License at
 - http://www.apache.org/licenses/LICENSE-2.0
 - Unless required by applicable law or agreed to in writing, software
 - distributed under the License is distributed on an "AS IS" BASIS,
 - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 - See the License for the specific language governing permissions and
 - limitations under the License.
 -->

<module xmlns="urn:jboss:module:1.0" name="org.switchyard.component.bpel">

    <resources>
        <resource-root path="switchyard-component-bpel-2.1.0.redhat-630299.jar"/>
        <resource-root path="engine-3.2.2.Final-redhat-5.jar"/>
        <resource-root path="riftsaw-agents-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-bpel-api-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-bpel-compiler-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-bpel-dao-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-bpel-epr-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-bpel-obj-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-bpel-ql-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-bpel-runtime-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-bpel-schemas-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-bpel-store-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-dao-jpa-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-dao-jpa-hibernate-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-jacob-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-scheduler-simple-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="riftsaw-utils-3.2.0.Final-redhat-4.jar"/>
        <resource-root path="activity-monitor-model-1.2.2.Final-redhat-2.jar"/>

        <!--  RiftSaw console components -->
        <resource-root path="gwt-console-rpc-2.4.8.Final-redhat-7.jar"/>
		<resource-root path="gwt-console-server-integration-2.4.8.Final-redhat-7.jar"/>
		<resource-root path="riftsaw-bpaf-3.2.2.Final-redhat-5.jar"/>
		<resource-root path="riftsaw-bpel2svg-3.2.2.Final-redhat-5.jar"/>
		<resource-root path="riftsaw-console-integration-3.2.2.Final-redhat-5.jar"/>
		<resource-root path="overlord-commons-services-2.0.19.Final-redhat-1.jar"/>
        <!-- END of RiftSaw console components -->
    </resources>

    <dependencies>
        <module name="org.jboss.as.jpa"/>
        <module name="org.jboss.vfs"/>

        <module name="org.hibernate"/>
        <module name="org.hibernate.validator" services="import" />
        <module name="org.hibernate.envers" services="import" />
        
        <module name="javax.api"/>
        <module name="javax.transaction.api"/>
        <module name="javax.persistence.api"/>
        <module name="javax.xml.soap.api"/>
        <module name="javax.wsdl4j.api"/>

        <module name="org.switchyard.api"/>
        <module name="org.switchyard.common"/>
        <module name="org.switchyard.component.common"/>
        <module name="org.switchyard.config"/>
        <module name="org.switchyard.deploy"/>

        <module name="org.apache.commons.collections"/>
        <module name="org.apache.commons.lang"/>
        <module name="org.apache.commons.logging"/>
        <module name="org.jboss.logging"/>

        <module name="org.apache.xerces"/>
        <module name="org.apache.xalan"/>
        <module name="org.apache.xmlbeans"/>
        <module name="org.javassist"/>
        <module name="org.dom4j"/>
        
        <module name="com.h2database.h2"/>

        <!-- required for the jndi registration-->
        <module name="org.jboss.as.naming" />
        <module name="org.jboss.as.server" />
        <module name="org.jboss.msc" />

		    <!-- Required by bpel2svg module -->
        <module name="org.apache.xmlgraphics" />
        <module name="org.codehaus.jettison" />
        
        <module name="org.jaxen"/>
        <module name="net.sourceforge.saxon" services="import" export="false"/>

        <!-- Required for clustering feature -->
        <module name="org.infinispan" />
    </dependencies>

</module>
